WHY?

Back on RHEL7 launch, getting wine working was an act of God nearly due to the drop of 32-bit applications, and only making 32-bit libraries available.  64-bit support was great, but not 32-bit.  Thanks to several teams that have by the nature of their software design, we have a few REALLY good options to circumvent this problem.  Personally I prefer Crossover.  But I have extensively tested PlayOnLinux and Lutris (Outdated as of now for EL7, but my packaged version still works), and keep several installations across all three options in case of any wine breakage, I can test to ensure that's exactly the issue rather than a software bug.

EL7 + WINE

EL7 + Nux + EPEL + ELRepo make things very very nice.  The one hangup for many is getting wine.i686 working correctly.  No need to struggle there.  I detailed what needs to be done here and in short :

  1. Install the dependencies (the minimum to get PoL to work at all, for the full list of deps, see the Crossover dependency list.)

    yum install glibc.i686 alsa-lib.i686 libXv.i686 libXScrnSaver.i686 libSM.i686 libXi.i686 libXrender.i686 libXrandr.i686 freetype.i686 fontconfig.i686 zlib.i686 glib2.i686 libstdc++.i686
    
  2. And then install PlayOnLinux (the yum repo rpm works  and then set PoL to use a non-system wine

    yum install http://rpm.playonlinux.com/playonlinux-yum-4-1.noarch.rpm
    

EL7 + CROSSOVER

Again working great.  Install nux + epel to ensure package availability.

  1. Install some dependencies

    yum install glibc.i686 zlib.i686 freetype.i686 libgcc.i686 libXext.i686 alsa-lib.i686 cups-libs.i686 dbus-libs.i686 fontconfig.i686 libgphoto2.i686 gsm.i686 lcms2.i686 openldap.i686 sane-backends-libs.i686 libXcomposite.i686 libXcursor.i686 libXi.i686 libXinerama.i686 libxml2.i686 libXrandr.i686 libXrender.i686 libxslt.i686 libXxf86vm.i686 gnutls.i686 libpng.i686 libX11.i686 mesa-libGL.i686 openssl-libs.i686 libXv.i686 libXScrnSaver.i686 libSM.i686 glib2.i686 libbstdc++.i686
    
  2. Install Crossover

    yum install http://crossover.codeweavers.com/redirect/crossover.rpm
    
  3. Validate all needed dependencies are taken care of.  Note on EL7 there are 4 dependencies that I for the love of God cannot resolve -- libtiff, openal, libmpg123, and libOSMesa.

    /opt/cxoffice/bin/cxdiag